Skip to content
Start here

Get app

GET/accounts/{account_id}/flagship/apps/{app_id}

Returns an app’s name and audit fields. Flag definitions are not included.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety ReadDNS View WriteDNS View ReadSCIM ProvisioningLoad Balancers Account WriteLoad Balancers Account ReadZero Trust: PII ReadDDoS Botnet Feed WriteDDoS Botnet Feed ReadWorkers R2 Storage WriteWorkers R2 Storage ReadDDoS Protection WriteDDoS Protection ReadWorkers Tail ReadWorkers KV Storage WriteWorkers KV Storage ReadWorkers Scripts WriteWorkers Scripts ReadLoad Balancing: Monitors and Pools WriteLoad Balancing: Monitors and Pools ReadAccount Firewall Access Rules WriteAccount Firewall Access Rules ReadDNS Firewall WriteDNS Firewall ReadBilling WriteBilling ReadAccount Settings WriteAccount Settings Read
Path ParametersExpand Collapse
account_id: string

Cloudflare account ID.

app_id: string

App identifier.

ReturnsExpand Collapse
errors: array of object { message }
message: string
messages: array of object { message }
message: string
result: object { id, created_at, name, 2 more }
id: string
created_at: string
name: string
updated_at: string
updated_by: string

Email of the actor who last modified the app, or edge-gateway for gateway-authenticated changes.

success: boolean

Get app

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/flagship/apps/$APP_ID \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "created_at": "created_at",
    "name": "name",
    "updated_at": "updated_at",
    "updated_by": "updated_by"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "id": "id",
    "created_at": "created_at",
    "name": "name",
    "updated_at": "updated_at",
    "updated_by": "updated_by"
  },
  "success": true
}